Skip to main content
GET
/
evidences
/
{COMPANY_ID}
/
evidences
List evidences
curl --request GET \
  --url https://api.timelockdata.com/api/v1/evidences/{COMPANY_ID}/evidences \
  --header 'X-API-Key: <api-key>'
{
  "dts": [
    {
      "id": "<string>",
      "externalId": "<string>",
      "name": "<string>",
      "creationDate": "2023-11-07T05:31:56Z",
      "owner": {},
      "historyChanges": {},
      "categoryId": "<string>",
      "subcategoryId": "<string>",
      "txId": "<string>",
      "summary": "<string>",
      "lastUpdateDate": "2023-11-07T05:31:56Z",
      "lastUpdateTxId": "<string>",
      "iconId": {},
      "stolen": true,
      "blockNumber": 123,
      "lastUpdateBlockNumber": 123
    }
  ],
  "count": 123
}

Authorizations

X-API-Key
string
header
required

Path Parameters

COMPANY_ID
string
required

Company identifier

Query Parameters

categoryId
string

Filter by category identifier

subcategoryId
string

Filter by subcategory identifier

Response

200 - application/json

List of evidences

dts
object[]
required

List of evidences

count
number
required

Total number of evidences